local AddName, AddonTable = ...
local L = AddonTable.L


----------------------------
-- Local Helper Functions --
----------------------------

function AddonTable.StatsCompute()

	-- Init
	AddonTable.combustion, AddonTable.serenity, AddonTable.overflowEnergy, AddonTable.luckOfDraw = 0, 0, 0, 0
	AddonTable.hitCombo, AddonTable.shadowForm, AddonTable.loneWolf = 0, 0, 0

	for i = 1, 40 do
		local _, _, count, _, _, _, caster, _, _, spellId = UnitBuff("player",i, "HELPFUL")
		if not spellId then break end	
	
		if AddonTable.Combustion[spellId] then AddonTable.combustion = AddonTable.Combustion[spellId][1] end
		if AddonTable.Serenity[spellId] then AddonTable.serenity = AddonTable.Serenity[spellId][1] end
		if AddonTable.Overflowing[spellId] then AddonTable.overflowEnergy = count * 2 end
		if AddonTable.LuckOfTheDraw[spellId] then AddonTable.luckOfDraw = ((count * 5) / 100 ) end
		if AddonTable.HitCombo[spellId] then AddonTable.hitCombo = count end
		if AddonTable.Shadowform[spellId] then AddonTable.shadowForm = AddonTable.Shadowform[spellId][1] end
		if AddonTable.LoneWolf[spellId] then AddonTable.loneWolf = AddonTable.LoneWolf[spellId][1] end
	end
end 

--------------------------------------
--		Global OnEvent function		--
--------------------------------------
function AddonTable.OnEventFunc(event, ...)

	if event == "PLAYER_TARGET_CHANGED" then
	-----	
		local exists = UnitExists("target")
		local hostile = UnitCanAttack("player", "target")
	
		if hostile or not exists then AddonTable.SinLive() end
	-----
	else
	-----	
	
	-- SinLive
	local unit = ...
	if unit == "target" then AddonTable.SinLive() return end
	
	AddonTable.StatsCompute()
	
end -- end events
end -- end function